Subject: Re: 29.0.60; json-ts-mode fontifies everything as string

From: Theodor Thornhill <[email-masked]>
Date: Mon, 05 Dec 2022 12:24:05 +0100

Jostein Kjønigsen <[email-masked]> writes:

> Hey everyone.
>
> When opening a JSON-file in a build from emacs git emacs-29 
> release-branch, Emacs still defaults to json-mode.
>
> Fontification in json-mode looks correct and proper.
>
> When trying to insteas use json-ts-mode, literally everything is 
> fontified as strings.
>
> When I change the code to disable the string-fontification rule, this 
> yields a buffer where everything is fontified using default-face. That 
> is, no other fontification is taking place.
>
> Have this mode really been tested? Should it be working? Or is there an 
> error on my end?
>
> Could someone else please give json-ts-mode a try?
>

Yeah, you are correct.  It seems we've had a regression in this commit,
0ed313642227afdeccf48057eea458edca9d2962.

I believe this is the offending commit - what do you think, Randy?

Specifically the lhs should be fontified differently than the rhs, so
not everything is a string.

Do you want to do that, Randy, or should I?

Theo